<?php
namespace Nibiru\Module\Ai\Interfaces;

use Nibiru\Interfaces\IModule;

interface Ai extends IModule
{
    public function chat(): \Nibiru\Module\Ai\Plugins\Chat;
    public function embed(): \Nibiru\Module\Ai\Plugins\Embed;
    public function rag(string $collection = 'default'): \Nibiru\Module\Ai\Plugins\Rag;
    public function agent(): \Nibiru\Module\Ai\Plugins\Agent;
    public function config(): \stdClass;
}
